#
# spec file for package scsires
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Summary:        A SCSI reservation tool

Name:           scsires
Version:        0.7
Release:        lp152.4.6
License:        GPL-2.0+
Group:          Productivity/Clustering/HA
Source:         scsires.tgz
Patch0:         scsi_resevers_text.diff
Patch1:         scsires_remove_unused_vars.diff
BuildRequires:  popt-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This tool is for issuing SCSI-2 reservation and release commands, for
controlling exclusive access to a SCSI device that is shared between
more than one SCSI host adapter.



Authors:
--------
    Doug Ledford

%prep
%setup -q -c
%patch0 -p1
%patch1 -p1

%build
make CC="%__cc" CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_sbindir}
install -m 755 scsi_reserve %{buildroot}%{_sbindir}/scsi_reserve

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_sbindir}/scsi_reserve

%changelog
* Fri Sep 30 2011 uli@suse.com
- cross-build fix: use %%__cc macro
* Mon Nov  3 2008 xwhu@novell.com
- new package
